โ๏ธ Create an Audience
Creates a new audience.๐ค Request Example
curl -X POST https://betaapi.audiohook.com/v2/companies/:companyUUID/audiences/ \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
],
"body": {
"advertiser_id": "1234-abcd-qwer-xcvb",
"name": "Test audience docs",
"tags": ["test tag 1", "test tag 2"],
"topics": ["topic 1", "topic 2"],
"type": 3
}
}'
โ Response Example
{"Audience": {"uuid": "test-audience-uuid"}}
๐ HTTP Request
POST /v2/companies/:companyUUID/audiences
๐งพ Body Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| name | โ | string | Name of the new audience |
| advertiser_id | โ | string | UUID of the advertiser |
| type | โ | int | Audience type (1=first_party, 2=liveramp_ids, 3=topics) |
| tags | โ | array | Tags for audience |
| first_party | โ | array | Array of first party segments |
| liveramp_ids | โ | array | Liveramp IDs if type=2 |
| topics | โ | array/string | Topics list or โcsvโ if file upload |
| correlation_id | โ | string | ID to match CSV to audience |

